/*
 * Copyright (c) 2010 JAVART Sp. z o.o.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Created by jzadrag on 27-10-2010
 * 
 */

/**
 * IPeer.java
 */
package org.volverine.server;

import java.io.IOException;
import java.net.SocketAddress;

import org.volverine.util.ByteChunk;

/**
 * @author jzadrag
 *
 */
public interface Connection {

	public SocketAddress getSocketAddress();
	
	public ByteChunk receive();
	
	public void send(ByteChunk buffer) throws IOException;
	
	public boolean pending(); // there is something to read
	
	/**
	 * Stops this connection
	 * 
	 * The transmission stops when datagram queue is empty.
	 */
	public void close();
	
	public ConnectionState getConnectionState();
	
}
