/*
 * Copyright (c) 2010 JAVART Sp. z o.o.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Created by jzadrag on 02-11-2010
 * 
 */

/**
 * Commands.java
 */
package org.volverine.server.zero;

/**
 * @author jzadrag
 *
 */
public enum ZCommand {
	OK(0), 
	START(1), 
	STOP(2),
	ACCEPT(3),
	REJECT(4),
	PING(5);
	private static ZCommand[] commands = new ZCommand[] {OK,START,STOP,ACCEPT,REJECT,PING};
	private int value;
	ZCommand(int value) {
		this.value = value;
	}
	
	public int getValue() {
		return value;
	}
	
	public static ZCommand fromValue(int val) {
		if(val>=0 && val<commands.length) return commands[val];
		return null;
	}
}
