/*
 * Copyright (c) 2010 JAVART Sp. z o.o.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Created by jzadrag on 04-11-2010
 * 
 */

/**
 * ZParameter.java
 */
package org.volverine.server.zero;

/**
 * @author jzadrag
 *
 */
public enum ZParameterType {
	SERVICE,  			// VSTRING service name (e.g. hessian://bean)
	KEY_EXCHANGE, 		// ECDH structure (public key for ECDH, symmetric algorithm, key length
	USERNAME,			// VSTRING username
	CHALLENGE,			// VBYTES challenge for digest authentication
	RESPONSE,			// VBYTES response for digest authentication
	PADDING,			// VBYTES random data for padding
	ERROR,				// VINT Error number
	DESCRIPTION;		// VSTRING Description of error in plain english
}
